Updates a license

Updates a license.

put
Path parameters
idstringRequired

The id of the license.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

Contains the data for the license key update form.

packageIdstring · min: 1Required

The id of the package.

subscriptionTypeIdstring · min: 1Required

The id of the subscription type.

amountnumber · double · max: 2147483647Required

The amount value of a license to be created.

currencyCodestring · min: 1Required

The currency code in the ISO 4217 format, which is a three-letter uppercase code that identifies a specific currency. This value should strictly follow the ISO 4217 standard.

startDatestring · date-timeRequired

The start date of the license.

endDatestring · date-timeRequired

The end date of the license.

descriptionstring · nullableOptional

The description of the license.

tagsstring · nullableOptional

The tags of the license.

testModeboolean · nullableOptional

The test mode of the license. By default, it is set to false.

Responses
chevron-right
200

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

put
/api/v1/licenses/{id}

Last updated